Bug 612311 - --splitmirrors option provides no warning or return code when no images are available to be split
--splitmirrors option provides no warning or return code when no images are a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 16:24 EDT by Corey Marthaler
Modified: 2010-11-10 16:08 EST (History)
8 users (show)

See Also:
Fixed In Version: lvm2-2.02.72-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:08:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2010-07-07 16:24:08 EDT
Description of problem:
# Created a linear
[root@taft-01 ~]# lvs -a -o +devices
  LV      VG        Attr   LSize   Log Copy% Devices         
  linear  taft      -wi-a- 100.00m           /dev/sdb1(0)

[root@taft-01 ~]# lvconvert --splitmirrors 1 --name new taft/linear 
[root@taft-01 ~]# echo $?
0

[root@taft-01 ~]# lvconvert --splitmirrors 1 --name new taft/linear /dev/sdb1
[root@taft-01 ~]# echo $?
0

# Some warning should be printed in the above cases

Version-Release number of selected component (if applicable):
lvm2-2.02.69-2.el6    BUILT: Fri Jul  2 07:26:01 CDT 2010
lvm2-libs-2.02.69-2.el6    BUILT: Fri Jul  2 07:26:01 CDT 2010
lvm2-cluster-2.02.69-2.el6    BUILT: Fri Jul  2 07:26:01 CDT 2010
udev-147-2.18.el6    BUILT: Fri Jun 11 07:47:21 CDT 2010
device-mapper-1.02.51-2.el6    BUILT: Fri Jul  2 07:26:01 CDT 2010
device-mapper-libs-1.02.51-2.el6    BUILT: Fri Jul  2 07:26:01 CDT 2010
device-mapper-event-1.02.51-2.el6    BUILT: Fri Jul  2 07:26:01 CDT 2010
device-mapper-event-libs-1.02.51-2.el6    BUILT: Fri Jul  2 07:26:01 CDT 2010
cmirror-2.02.69-2.el6    BUILT: Fri Jul  2 07:26:01 CDT 2010
Comment 1 Jonathan Earl Brassow 2010-07-12 16:08:38 EDT
Strange... The code has this:

lib/metadata/mirror.c:_split_mirror_images
	if (!(lv->status & MIRRORED)) {
		log_error("Unable to split non-mirrored LV, %s",
			  lv->name);
		return 0;
	}
Comment 2 Jonathan Earl Brassow 2010-07-13 17:54:49 EDT
pending version 2.02.71
Comment 3 RHEL Product and Program Management 2010-07-15 09:58:27 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 Corey Marthaler 2010-07-29 17:14:03 EDT
[root@taft-03 tmp]# lvs -a -o +devices
  LV      VG        Attr   LSize   Origin Snap%  Move Log Copy%  Convert Devices
  linear  taft      -wi-a- 100.00m                                       /dev/sdb1(0)
[root@taft-03 tmp]# lvconvert --splitmirrors 1 --name new taft/linear
  Unable to reduce images by specified amount - only 1 in linear
[root@taft-03 tmp]# echo $?
5
[root@taft-03 tmp]# lvconvert --splitmirrors 1 --name new taft/linear /dev/sdb1
  Unable to reduce images by specified amount - only 1 in linear
[root@taft-03 tmp]# echo $?
5

Fix verified in the latest build.

2.6.32-52.el6.x86_64

lvm2-2.02.72-3.el6    BUILT: Wed Jul 28 15:39:43 CDT 2010
lvm2-libs-2.02.72-3.el6    BUILT: Wed Jul 28 15:39:43 CDT 2010
lvm2-cluster-2.02.72-3.el6    BUILT: Wed Jul 28 15:39:43 CDT 2010
udev-147-2.21.el6    BUILT: Mon Jul 12 04:55:00 CDT 2010
device-mapper-1.02.53-3.el6    BUILT: Wed Jul 28 15:39:43 CDT 2010
device-mapper-libs-1.02.53-3.el6    BUILT: Wed Jul 28 15:39:43 CDT 2010
device-mapper-event-1.02.53-3.el6    BUILT: Wed Jul 28 15:39:43 CDT 2010
device-mapper-event-libs-1.02.53-3.el6    BUILT: Wed Jul 28 15:39:43 CDT 2010
cmirror-2.02.72-3.el6    BUILT: Wed Jul 28 15:39:43 CDT 2010
Comment 7 releng-rhel@redhat.com 2010-11-10 16:08:23 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.